Subject: [bug#38463] [PATCH 3/3] gnu: emacs-telega: Properly install alists.

From: Leo Prikler <[email-masked]>
Date: Thu, 05 Dec 2019 19:18:27 +0100

Am Donnerstag, den 05.12.2019, 12:00 -0600 schrieb Brett Gilio:
> Leo Prikler <[email-masked]> writes:
> 
> > Out of curiosity, would it be possible to make this a subfolder of
> > the
> > telega installation directory?  It appears, as though these files
> > are
> > accessed via telega-etc-file in telega-util.el, so it should still
> > function in the same way with the right substitutions.
> > 
> > Regards,
> > Leo
> > 
> 
> Hi Leo,
> 
> I want to make sure I understand clearly what you are saying. The
> telega
> installation directory seems to be just the
> <profile>/share/emacs/site-lisp. What subdirectory are you speaking
> of
> exactly? I will send a revised patch once I get some more information
> :).
> 
> Thanks!

Hi Brett,

That's my bad, I haven't looked at the structure of share/emacs/site-
lisp since the last change has been made.  I expected, that packages
still had their own folders, just with guix.d in the middle being
removed, but just now found out that everything is at top-level.

I still don't feel comfortable with data being at the top of site-lisp, 
though.  Perhaps something similar to emacs-yasnippet-snippets, where
you store the data in share/emacs/telega-data would be more
appropriate.

WDYT?
Leo